## Apache Zeta Components Manual :: File Source for request_user_agent.php

## Source for file request_user_agent.php

Documentation is available at request_user_agent.php

1. <?php
2. /**
3. * File containing the ezcMvcRequestUserAgent class
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
23. * @version //autogentag//
24. * @filesource
25. * @package MvcTools
26. */
28. /**
29. * Struct which defines a request user agent.
30. *
31. * @package MvcTools
32. * @version //autogentag//
33. */
34. class ezcMvcRequestUserAgent extends ezcBaseStruct
35. {
36. /**
37. * Request user agent.
38. *
39. * @var string
40. */
41. public $agent ;
43. /**
44. * Constructs a new ezcMvcRequestUserAgent.
45. *
46. * @param string $agent
47. */
48. public function __construct ( $agent = '' )
49. {
50. $this-> agent = $agent;
51. }
53. /**
54. * Returns a new instance of this class with the data specified by $array.
55. *
56. * $array contains all the data members of this class in the form:
57. * array('member_name'=>value).
58. *
59. * __set_state makes this class exportable with var_export.
60. * var_export() generates code, that calls this method when it
61. * is parsed with PHP.
62. *
63. * @param array(string=>mixed) $array
64. * @return ezcMvcRequestUserAgent
65. */
66. static public function __set_state ( array $array )
67. {
68. return new ezcMvcRequestUserAgent( $array['agent'] );
69. }
70. }
71. ?>

Documentation generated by phpDocumentor 1.4.3